<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              developress.it/roberto_paolucci
 * @since             1.0.0
 * @package           Developress_sticky_footer_bar
 *
 * @wordpress-plugin
 * Plugin Name:       DeveloPress Sticky Footer Bar
 * Plugin URI:        developress.it/plugin/developress_sticky_footer_bar
 * Description:       Plugin per la gestione di una footer bar
 * Version:           1.0.0
 * Author:            Roberto Paolucci
 * Author URI:        developress.it/roberto_paolucci
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       developress_sticky_footer_bar
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'DEVELOPRESS_STICKY_FOOTER_BAR_VERSION', '1.0.0' );

!defined('DEVELOPRESSBAR_PATH') && define('DEVELOPRESSBAR_PATH', plugin_dir_path( __FILE__ ));

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-developress_sticky_footer_bar-activator.php
 */
function activate_developress_sticky_footer_bar() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-developress_sticky_footer_bar-activator.php';
	Developress_sticky_footer_bar_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-developress_sticky_footer_bar-deactivator.php
 */
function deactivate_developress_sticky_footer_bar() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-developress_sticky_footer_bar-deactivator.php';
	Developress_sticky_footer_bar_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_developress_sticky_footer_bar' );
register_deactivation_hook( __FILE__, 'deactivate_developress_sticky_footer_bar' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-developress_sticky_footer_bar.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_developress_sticky_footer_bar() {

	$plugin = new Developress_sticky_footer_bar();
	$plugin->run();

}
run_developress_sticky_footer_bar();
