<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       developress.it/roberto_paolucci
 * @since      1.0.0
 *
 * @package    Developress_sticky_footer_bar
 * @subpackage Developress_sticky_footer_bar/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Developress_sticky_footer_bar
 * @subpackage Developress_sticky_footer_bar/includes
 * @author     Roberto Paolucci <robertopaolucci805@gmail.com>
 */
class Developress_sticky_footer_bar_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'developress_sticky_footer_bar',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
